Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SNMPTrapDestinationMBean

public interface SNMPTrapDestinationMBean
extends ConfigurationMBean

This MBean describes all the destinations to which SNMP traps can be sent.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getCommunity()` Returns the SNMP trap name, which functions as a password for sending trap notifications to the target SNMP manager.
`java.lang.String` | `getHost()` Returns either the hostname or IP address for the machine where the SNMP manager is located.
`int` | `getPort()` Defines the port that is used for sending SNMP trap notifications to the target SNMP manager.
`void` | `setCommunity(java.lang.String community)` Defines the SNMP trap community name, which functions as a password for sending trap notifications to the target SNMP manager.
`void` | `setHost(java.lang.String name)` Defines a string that contains either a hostname or IP address for the machine where the SNMP manager is located.
`void` | `setPort(int port)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getHost

    public java.lang.String getHost()

  Returns either the hostname or IP address for the machine where the SNMP manager is located.

### setHost

    public void setHost(java.lang.String name)
                 throws javax.management.InvalidAttributeValueException,
                        ConfigurationException

  Defines a string that contains either a hostname or IP address for the machine where the SNMP manager is located. This host machine is the target for SNMP trap notifications sent by the WebLogic SNMP agent.

  Default Value: localhost
  Legal Value: (value != null) && (value.trim().length() > 0)
  Secure Value: 127.0.0.1

### getPort

    public int getPort()

  Defines the port that is used for sending SNMP trap notifications to the target SNMP manager.

  Default Value: 162
  Legal Minimum Value: 1
  Legal Maximum Value: 65535

### setPort

    public void setPort(int port)
                 throws javax.management.InvalidAttributeValueException,
                        ConfigurationException

### getCommunity

    public java.lang.String getCommunity()

  Returns the SNMP trap name, which functions as a password for sending trap notifications to the target SNMP manager.

### setCommunity

    public void setCommunity(java.lang.String community)
                      throws javax.management.InvalidAttributeValueException,
                             ConfigurationException

  Defines the SNMP trap community name, which functions as a password for sending trap notifications to the target SNMP manager.

  Default Value: "public"
  Legal Value: (value != null) && (value.trim().length() > 0)
  Secure Value: null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference